• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/List/GetTicketRelationDefinitionEntity

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
POST /api/v1/Agents/List/GetTicketRelationDefinitionEntity

Gets a TicketRelationDefinitionEntity object.

NsApiSlow threshold: 5000 ms.

Query String Parameters

Parameter Name Type Description
ticketRelationDefinitionEntityId int32 Required The identifier of the TicketRelationDefinitionEntity object
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/List/GetTicketRelationDefinitionEntity?ticketRelationDefinitionEntityId=671
POST /api/v1/Agents/List/GetTicketRelationDefinitionEntity?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Response:

OK

Response Description
200 OK

Response body: TicketRelationDefinitionEntity

Property Name Type Description
TicketRelationDefId int32 Primary key
Name string The name of this Ticket relation
Description string Tooltip or other description
Rank int32 Rank order
RelationType string Type of the relation (Related, Parent, Child)
IsBuiltIn bool Is this row part of SuperOffice priming data
IsParentMandatory bool Parent relation is mandatory when a new request is created
IsCloseParentWithChild bool Close parent when all children are closed
IsPreventClosingParent bool Prevent closing parent until all children are closed
IsCloseWithParent bool Offer to close all related when parent is closed
SourceTicketTypes array Source ticket type(s) for this relation
DestinationTicketTypes array Destination ticket type(s) for this relation
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

[!include[sample request](../../samples/agent/request/v1ListAgent_GetTicketRelationDefinitionEntity.md)]

Sample response

[!include[sample response](../../samples/agent/response/v1ListAgent_GetTicketRelationDefinitionEntity.md)]
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top